#ifndef __RTSPSERVER_H__
#define __RTSPSERVER_H__

#include <string>

namespace boost {
namespace asio {
class io_context;
}
} // namespace boost
class RtspServerPrivate;

class RtspServer {
public:
    RtspServer(boost::asio::io_context &ioContext);
    ~RtspServer();

    /**
     * @brief ffplay.exe rtsp://192.168.3.11/live/video
     *
     * @param data
     * @param size
     */
    void push(const uint8_t *data, uint32_t size);

private:
    RtspServerPrivate *m_d = nullptr;
};

#endif // __RTSPSERVER_H__